Zend Guard Loader 설치

================================================================
PHP 가속 모듈인 Zend Optimizer는 PHP-5.2.x 버전까지만 지원되며,
 PHP-5.3.x 버전부터는 Zend Guard Loader를 설치해야 합니다.

Zend Guard Loader의 설치 방법을 알아 보겠습니다.

1. 소스 다운로드 및 압축 해제
 아래의 링크에서 소스 다운 (Zend 사이트 로그인 필요)
 http://www.zend.com/en/products/guard/downloads

 # tar zxvf ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz


2. php 버전 확인 후 소스 폴더에서 버전에 맞는 모듈 파일을 복사
 # /usr/local/php/bin/php -v
 # cp ZendGuardLoader-php-5.3-linux-glibc23-i386/php-5.3.x/ZendOptimizer.so /usr/local/php/lib/


3. php.ini 파일에 다음 줄을 추가
 # vi /usr/local/php/lib/php.ini
 [Zend]
 zend_extension=/usr/local/php/lib/ZendGuardLoader.so


4. apache restart 후 php –v 및 phpinfo에서 설치 확인

 # /usr/local/apache/bin/apachectl restart
 # /usr/local/php/bin/php –v
 . 
 with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies

'Works > 확장모듈설치매뉴얼' 카테고리의 다른 글

[PHP] GeoIP 확장(Extension) 모듈 설치  (0) 2017.08.11
Zend Guard Loader 설치  (0) 2017.05.17
APC 확장모듈 설치  (0) 2017.04.26
freetds 확장모듈 설치  (0) 2016.09.27
mod_mime_magic 설치  (0) 2016.08.01
oAuth 확장모듈 설치  (0) 2016.03.29